Linux et Canon

Voilà une règle d'or que je ne cesse de répéter mais que je n'ai pas appliquer moi-même aujourd'hui - malheureusement : ne pas acheter de matériel informatique type imprimante ou scanner sans vérifier auparavant sa compatibilité avec Linux !!!

Mon erreur vient du fait que je n'ais jamais eu ce genre de problème : que ce soit avec Mandriva ou avec Ubuntu, mon imprimante et mon scanner (tous deux de marque Epson) ont toujours été correctement détectés. Seulement voilà, arrive un temps où le matériel se fatigue et où il faut penser à en changer. Un peu pris par le temps, je me suis précipité pour acheter un appareil multi-fonction imprimante + scanner, un Canon Pixma MP150. De retour chez moi, je déballe la chose, je connecte tout ce qu'il faut connecter, j'allume l'ordinateur… Et là, c'est le drame : Canon et Linux ne font pas bon ménage !

Et me voilà donc à farfouiller fébrilement le web - en maudissant ma bêtise - à la recherche de la moindre petite trace d'info qui me permettrait de faire fonctionner ce satané Canon Pixma MP150 sous Ubuntu. Et je comprend vite à la lecture de certains messages sur divers forums que j'aurai effectivement dû me renseigner avant de claquer plusieurs dizaines d'euros dans un matos que je risque de ne pas pouvoir utiliser.

Finalement, la situation n'est pas si désespérée : si la version stable du logiciel Sane, chargé de piloter les scanners, ne gère pas encore toute la gamme des Pixma MP de Canon, la version en développement le fait. Il existe même un petit tutoriel d'installation sur Ubuntu. Côté imprimante, tout n'est pas encore totalement réglé mais il existe quelques pistes intéressantes.

Donc, si vous êtes sur le point de migrer sous Linux ou de changer d'imprimante / de scanner, ne faites pas la même conn#### que moi et allez faire un tour du côté de la la base de données imprimantes du site Linux printing et de celle des scanners du projet Sane pour vérifier la compatibilité de votre matériel.

Il y a des jours, j'vous jure...